Beispiel #1
0
        BrowseReflection(ObjectId objId)
        {
            if (objId.IsNull)
            {
                Autodesk.AutoCAD.ApplicationServices.Application.ShowAlertDialog("ObjectId == null");
                return;
            }

            if (objId.IsValid == false)
            {
                Autodesk.AutoCAD.ApplicationServices.Application.ShowAlertDialog("ObjectId not valid");
                return;
            }

            using (TransactionHelper tr = new TransactionHelper(objId.Database)) {
                tr.Start();

                DBObject tmpObj = tr.Transaction.GetObject(objId, OpenMode.ForRead);
                MgdDbg.Snoop.Forms.GenericPropGrid pgForm = new MgdDbg.Snoop.Forms.GenericPropGrid(tmpObj);
                pgForm.Text = MgdDbg.Utils.AcadUi.ObjToTypeAndHandleStr(tmpObj);
                pgForm.ShowDialog();

                tr.Commit();
            }
        }
Beispiel #2
0
 DrillDown()
 {
     if (m_val != null)
     {
         MgdDbg.Snoop.Forms.GenericPropGrid pgForm = new MgdDbg.Snoop.Forms.GenericPropGrid(m_val);
         pgForm.ShowDialog();
     }
 }
Beispiel #3
0
        BrowseReflection(Object obj)
        {
            if (obj == null)
            {
                Autodesk.AutoCAD.ApplicationServices.Application.ShowAlertDialog("Object == null");
                return;
            }

            MgdDbg.Snoop.Forms.GenericPropGrid pgForm = new MgdDbg.Snoop.Forms.GenericPropGrid(obj);
            pgForm.ShowDialog();
        }